## org.jboss.metadata
Class EjbLocalRefMetaData

    java.lang.Object
      |
      +--org.jboss.metadata.MetaData
            |
            +--org.jboss.metadata.EjbLocalRefMetaData

All Implemented Interfaces:
  java.lang.Cloneable, XmlLoadable

public class EjbLocalRefMetaData
extends MetaData

<description>

Author:
  Daniel OConnor (docodan@mvcsoft.com)
See Also:
  <related>

Fields inherited from class org.jboss.metadata.MetaData
`TX_MANDATORY, TX_NEVER, TX_NOT_SUPPORTED, TX_REQUIRED, TX_REQUIRES_NEW, TX_SUPPORTS, TX_UNKNOWN`

Constructor Summary
`EjbLocalRefMetaData()`

Method Summary
`java.lang.String` `getLink()`
`java.lang.String` `getLocal()`
`java.lang.String` `getLocalHome()`
`java.lang.String` `getName()`
`java.lang.String` `getType()`
`void` `importEjbJarXml(org.w3c.dom.Element element)`

Methods inherited from class org.jboss.metadata.MetaData
`clone, getChildrenByTagName, getElementContent, getElementContent, getOptionalChild, getOptionalChild, getUniqueChild, importJbossXml, importXml, jdk13Enabled`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EjbLocalRefMetaData

    public EjbLocalRefMetaData()

Method Detail

### getName

    public java.lang.String getName()

### getType

    public java.lang.String getType()

### getLocalHome

    public java.lang.String getLocalHome()

### getLocal

    public java.lang.String getLocal()

### getLink

    public java.lang.String getLink()

### importEjbJarXml

    public void importEjbJarXml(org.w3c.dom.Element element)
                         throws DeploymentException

  Overrides:
    `importEjbJarXml` in class `MetaData`

Copyright © 2000 The JBoss Organization. All Rights Reserved.